| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
CmdDrive::TableViewState Class Reference
uiCmdDriver

`#include <tableviewcommands.h>`

## Public Member Functions
| TableViewState (const uiTableView *uitable=0)
void | clear ()
bool | equalToClickedItem (const RowCol &) const
bool | equalToCurItemSel () const
const TypeSet< RowCol > & | getSet () const
bool | headInsert (const RowCol &)
int | indexOf (const RowCol &, int startidx=0) const
int | remove (const RowCol &, int startidx=0)
bool | setAll ()
void | setTableView (const uiTableView *uit)
bool | storeCurItemSel ()

## Protected Attributes
TypeSet< RowCol > | set_
const uiTableView * | table_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ TableViewState()

CmdDrive::TableViewState::TableViewState | ( | const uiTableView * | uitable = 0 | ) |
| inline

## Member Function Documentation

## ◆ clear()

void CmdDrive::TableViewState::clear | ( |  | ) |
| inline

## ◆ equalToClickedItem()

bool CmdDrive::TableViewState::equalToClickedItem | ( | const RowCol & |  | ) | const

## ◆ equalToCurItemSel()

bool CmdDrive::TableViewState::equalToCurItemSel | ( |  | ) | const

## ◆ getSet()

const TypeSet< RowCol > & CmdDrive::TableViewState::getSet | ( |  | ) | const
| inline

## ◆ headInsert()

bool CmdDrive::TableViewState::headInsert | ( | const RowCol & |  | ) |

## ◆ indexOf()

int CmdDrive::TableViewState::indexOf | ( | const RowCol & | ,
|  | int | startidx = 0 ) const

## ◆ remove()

int CmdDrive::TableViewState::remove | ( | const RowCol & | ,
|  | int | startidx = 0 )

## ◆ setAll()

bool CmdDrive::TableViewState::setAll | ( |  | ) |

## ◆ setTableView()

void CmdDrive::TableViewState::setTableView | ( | const uiTableView * | uit | ) |
| inline

## ◆ storeCurItemSel()

bool CmdDrive::TableViewState::storeCurItemSel | ( |  | ) |

## Member Data Documentation

## ◆ set_

TypeSet<RowCol> CmdDrive::TableViewState::set_
| protected

## ◆ table_

const uiTableView* CmdDrive::TableViewState::table_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025